import request from '../request';
import type { 
  CheckOrderNumber,
  ProcessInfo,
} from './model';

// 验证工单、产品编码关系是否正确
export function checkOrderNumberApi(data: CheckOrderNumber) {
  return request({
    url: '/jinghua/mes/work-order/material/verify',
    method: 'post',
    data
  })
}

// 新增加工信息
export function addProcessInfoApi(data: ProcessInfo) {
  return request({
    url: '/jinghua/processInfo',
    method: 'post',
    data
  })
}

// 查询 L1 数据
export function listL1DataApi() {
  return request({
    url: '/jinghua/l1Data/list',
    method: 'get',
  })
}

// 查询 L4 数据
export function listL4DataApi() {
  return request({
    url: '/jinghua/l4Data/list',
    method: 'get',
  })
}
